Name:		kwooty
Version:	1.0.1
Release:	%mkrel 2
Summary:	A friendly nzb Usenet binary downloader
License:	GPLv2
Group:		Networking/File transfer
URL:		http://kwooty.sourceforge.net/
Source0:	http://downloads.sourceforge.net/kwooty/%{name}-%{version}.tar.gz
BuildRequires:	kdebase4-workspace-devel
Requires:	parchive2
Suggests:	unrar


%description
Kwooty handles automatic file repairing archive extraction, multi-server 
support, smart par2 download, shutdown scheduler, etc...

Kwooty features :

* Automatic file verification/repairing
* Automatic archive extraction (Rar, Zip and 7z archive formats supported)
* Multi-server support
* Built-in YEnc and UUEncode file decoders
* Watch Folder
* File queue and priority management
* System shutdown scheduler.
* Save/Restore pending downloads when application is closed/open.
* Built-in SSL connection support
* Pause/Resume downloads
* Suspends downloads if disk is full
* Display of Remaining Time or Estimated Time of Arrival (ETA)
* Display of available free disk space
* Automatic connection to host at start-up
* Automatic file downloading after opening Nzb file

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang %{name}

#Fix categories in desktop file
desktop-file-install --vendor="" \
 --dir=%{buildroot}%{_kde_applicationsdir}/ \
 --remove-category='Internet' \
 %{buildroot}%{_kde_applicationsdir}/%{name}.desktop

rm -f %{buildroot}%{_kde_libdir}/*.so

%files -f %{name}.lang
%{_kde_bindir}/%{name}
%{_kde_libdir}/*.so.*
%{_kde_libdir}/kde4/*.so
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/22x22/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{_kde_applicationsdir}/%{name}.desktop
%{_kde_services}/*.desktop
%{_kde_appsdir}/%{name}
%{_kde_datadir}/config.kcfg/*.kcfg
%{_kde_servicetypes}/kwootyplugin.desktop


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-2.mga4
+ Revision: 528590
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 bersuit <bersuit> 1.0.1-1.mga4
+ Revision: 445624
- Updated to new version 1.0.1

* Sat Jan 12 2013 umeabot <umeabot> 0.9.1-2.mga3
+ Revision: 356612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 juancho <juancho> 0.9.1-1.mga3
+ Revision: 303395
- Updated to 0.9.1

* Sun Jul 29 2012 fwang <fwang> 0.9.0-1.mga3
+ Revision: 275748
- new version 0.9.0

* Mon Jun 25 2012 fwang <fwang> 0.8.4-2.mga3
+ Revision: 263453
- update file list

* Mon Jun 25 2012 fwang <fwang> 0.8.4-1.mga3
+ Revision: 263441
- update tarball
- new version 0.8.4

* Wed Jun 06 2012 juancho <juancho> 0.8.3-1.mga3
+ Revision: 256063
- Updated to 0.8.3

* Sun Mar 04 2012 juancho <juancho> 0.8.2-1.mga2
+ Revision: 217784
- Updated to 0.8.2

* Thu Feb 02 2012 juancho <juancho> 0.8.1-1.mga2
+ Revision: 204002
- Updated to 0.8.1

* Sat Dec 31 2011 juancho <juancho> 0.8.0-3.mga2
+ Revision: 189151
- Changed Requires: unrar to Suggests

* Fri Dec 30 2011 juancho <juancho> 0.8.0-2.mga2
+ Revision: 188958
- Changed some of the macros in %%files for kde macros

* Fri Dec 30 2011 juancho <juancho> 0.8.0-1.mga2
+ Revision: 188922
- Fixed desktop file
- imported package kwooty


* Wed Dec 21 2011 Juan gámez <juan.gamez@gmail.com> kwooty-debug-0.7.3-1mga1
- Packaged to mageia 
